list sessions
curl --request GET \
--url https://api.anam.ai/v1/sessions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.anam.ai/v1/sessions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.anam.ai/v1/sessions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.anam.ai/v1/sessions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.anam.ai/v1/sessions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.anam.ai/v1/sessions")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.anam.ai/v1/sessions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "00000000-0000-0000-0000-000000000000",
"personaId": null,
"clientLabel": "anam-lab-chat",
"startTime": "2026-04-20T09:00:00.000Z",
"endTime": "2026-04-20T09:12:34.000Z",
"sessionLengthMs": 754000,
"exitStatus": "CLOSED_BY_ENGINE",
"engineHost": "connect-eu.anam.ai/v1/webrtc/engines/anam-engine-7dddcb9ccd-db8v9",
"engineProtocol": "https",
"engineVersion": "v5.1.0",
"clientMetadata": {
"userAgent": "Mozilla/5.0"
},
"personaConfig": {
"type": "ephemeral",
"name": "Cara",
"metadata": {
"client": "js-sdk"
},
"llmConfig": {
"id": "a7cf662c-2ace-4de1-a21e-ef0fbf144bb7",
"modelName": "gpt-4o",
"format": "openai",
"urls": [
{
"url": "https://api.openai.com/v1",
"region": "default"
}
],
"maxTokens": 4096,
"temperature": 0.7,
"metadata": {},
"secret_iv": "[REDACTED]",
"encrypted_secret": "[REDACTED]",
"createdByOrganizationId": null
},
"systemPrompt": "You are a helpful assistant.",
"personality": "",
"languageCode": "en",
"skipGreeting": false,
"zeroDataRetention": false,
"ttsProvider": "ELEVENLABS",
"ttsProviderVoiceId": "lcMyyd2HUfFzxdCaC4Ta",
"ttsProviderModelId": "eleven_flash_v2_5",
"ttsProviderOptions": {},
"avatarEngineKey": "cara_home",
"avatarVersion": "cara-3",
"disableBrains": false,
"fillerPhrases": [],
"useFillerPhrases": false,
"enableAudioPassthrough": false,
"voiceDetectionOptions": {},
"voiceGenerationOptions": {},
"maxSessionLengthSeconds": 1000000,
"fps": 25
},
"apiKeyId": "00000000-0000-0000-0000-000000000000",
"organizationId": "00000000-0000-0000-0000-000000000000",
"createdAt": "2026-04-20T09:00:00.000Z",
"updatedAt": "2026-04-20T09:12:34.000Z"
}
],
"meta": {
"total": 1,
"lastPage": 1,
"currentPage": 1,
"perPage": 10,
"prev": null,
"next": null
}
}{
"error": "Service temporarily unavailable",
"message": "We could not check your API key. Please retry shortly."
}list sessions
Returns a list of all sessions for the organization
GET
/
v1
/
sessions
list sessions
curl --request GET \
--url https://api.anam.ai/v1/sessions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.anam.ai/v1/sessions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.anam.ai/v1/sessions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.anam.ai/v1/sessions",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.anam.ai/v1/sessions"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.anam.ai/v1/sessions")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.anam.ai/v1/sessions")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "00000000-0000-0000-0000-000000000000",
"personaId": null,
"clientLabel": "anam-lab-chat",
"startTime": "2026-04-20T09:00:00.000Z",
"endTime": "2026-04-20T09:12:34.000Z",
"sessionLengthMs": 754000,
"exitStatus": "CLOSED_BY_ENGINE",
"engineHost": "connect-eu.anam.ai/v1/webrtc/engines/anam-engine-7dddcb9ccd-db8v9",
"engineProtocol": "https",
"engineVersion": "v5.1.0",
"clientMetadata": {
"userAgent": "Mozilla/5.0"
},
"personaConfig": {
"type": "ephemeral",
"name": "Cara",
"metadata": {
"client": "js-sdk"
},
"llmConfig": {
"id": "a7cf662c-2ace-4de1-a21e-ef0fbf144bb7",
"modelName": "gpt-4o",
"format": "openai",
"urls": [
{
"url": "https://api.openai.com/v1",
"region": "default"
}
],
"maxTokens": 4096,
"temperature": 0.7,
"metadata": {},
"secret_iv": "[REDACTED]",
"encrypted_secret": "[REDACTED]",
"createdByOrganizationId": null
},
"systemPrompt": "You are a helpful assistant.",
"personality": "",
"languageCode": "en",
"skipGreeting": false,
"zeroDataRetention": false,
"ttsProvider": "ELEVENLABS",
"ttsProviderVoiceId": "lcMyyd2HUfFzxdCaC4Ta",
"ttsProviderModelId": "eleven_flash_v2_5",
"ttsProviderOptions": {},
"avatarEngineKey": "cara_home",
"avatarVersion": "cara-3",
"disableBrains": false,
"fillerPhrases": [],
"useFillerPhrases": false,
"enableAudioPassthrough": false,
"voiceDetectionOptions": {},
"voiceGenerationOptions": {},
"maxSessionLengthSeconds": 1000000,
"fps": 25
},
"apiKeyId": "00000000-0000-0000-0000-000000000000",
"organizationId": "00000000-0000-0000-0000-000000000000",
"createdAt": "2026-04-20T09:00:00.000Z",
"updatedAt": "2026-04-20T09:12:34.000Z"
}
],
"meta": {
"total": 1,
"lastPage": 1,
"currentPage": 1,
"perPage": 10,
"prev": null,
"next": null
}
}{
"error": "Service temporarily unavailable",
"message": "We could not check your API key. Please retry shortly."
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Page number for pagination
Required range:
x >= 1Number of items per page (max 100)
Required range:
1 <= x <= 100Search term to filter sessions by ID or client label
Filter sessions by API key ID
Filter sessions by persona ID
Filter to sessions that are active with true or ended with false
Only sessions created at or after this time. An ISO 8601 date-time with an offset, such as 2026-11-01T00:00:00Z, or a date such as 2026-11-01 (midnight UTC).
Only sessions created before this time, in the same format as from. Must be later than from.
List sessions of another organization. Restricted to Anam-internal admin API keys; other keys receive 403.

